html {
  height: 100%;
}

body {
  height: 100%;
}

#app {
  height: 100%;
}

#page {
  height: 100%;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}

form {
  margin: 1em 0 1em;
  .form-row {
    p {
      width: 100%;
      color: grey;
      font-style: italic;
      font-size: 0.7em;
      margin-bottom: 0.2em;
    }
    .form-group {
      input {
        // font-size: 0.9em;
        color: rgb(29, 29, 29);
        font-weight: 400;
      }
      input::placeholder {
        color: rgb(192, 192, 192);
      }
    }
    .form-group.disabled {
      opacity: 0.4;
      pointer-events: none;
    }
  }
  .form-row.disabled {
    opacity: 0.4;
    pointer-events: none;
  }
}

label {
  font-size: 0.8em;
  font-weight: bold;
  margin-bottom: 0.1em; 
}

label.required:after {
	content: ' *';
	color: rgb(209, 0, 0);
}

.form-control {
  border-width: 2px;
}

.control {
  width: 100%;
  .form-errors {
    display: block;
    font-size: 0.8em;
    font-style: italic;
  }
}
.control.is-invalid {
  .form-errors {
    color: #EB0600 !important;
    font-size: 0.75rem;
    position: absolute;
    padding-top: 1px;
  }
  input {
    border: 1px #EB0600 solid;
  }
}
.control.is-valid {
  .form-errors {
    color: #045929;
  }
  input {
    border: 1px #045929 solid;
  }
}

// Multiselect
.multiselect__tags {
  border: 2px solid #ced4da;
}

.multiselect__placeholder {
  color: #838383;
}

.multiselect__option--highlight {
  background-color: @blue;
}

.multiselect__option--selected.multiselect__option--highlight {
  background-color: @blue;
}

.search-usergroups {
  .multiselect__select {
    display: none !important;
  }
  .multiselect__clear {
    position: absolute;
    right: 0;
    top: 3px;
    width: 40px;
    display: block;
    cursor: pointer;
    z-index: 2;
  }
}

// Toasts
#toast-container {
  top: 5px;
  div {
    opacity: 1;
    width: 100% !important;
  }
}
.toast {
  min-width: 250px;
  max-width: 600px;
  font-size: 1rem;
}
.toast:hover {
  box-shadow: 0 0 12px #000000b3;
}
.toast-success {
  background-color: #198754;
  .toast-progress {
    background-color: rgb(224, 224, 224);
    height: 2px;
  }
}
.toast-error {
  .toast-title {
    font-size: 1.2em;
    margin-left: 1.2em;
  }
  background-color: #dc3545;
}
